LIMACTL(1)

NAME
limactl-shell - Execute shell in Lima

SYNOPSIS
limactl shell [flags] INSTANCE [COMMAND...]

DESCRIPTION
Execute shell in Lima

lima command is provided as an alias for limactl shell $LIMA_INSTANCE. $LIMA_INSTANCE defaults to "default".

By default, the first 'ssh' executable found in the host's PATH is used to connect to the Lima instance. A custom ssh alias can be used instead by setting the $SSH environment variable.

Hint: try --debug to show the detailed logs, if it seems hanging (mostly due to some SSH issue).

OPTIONS
-h, --help[=false]
    help for shell

--shell=""
    shell interpreter, e.g. /bin/bash

--workdir=""
    working directory

OPTIONS INHERITED FROM PARENT COMMANDS
--debug[=false]
    debug mode

--log-format="text"
    Set the logging format [text, json]

--log-level=""
    Set the logging level [trace, debug, info, warn, error]

--tty[=false]
    Enable TUI interactions such as opening an editor. Defaults to true when stdout is a terminal. Set to false for automation.

SEE ALSO
limactl(1)